// 导出所有特定游戏API
export { turtleSoupService } from './turtlesoup'
// 未来会添加其他游戏API
export { werewolfService } from './werewolf'
// export { scriptAPI } from './script'

// 游戏类型常量
export const GAME_TYPES = {
  TURTLE_SOUP: 'turtlesoup',
  WEREWOLF: 'werewolf',
  SCRIPT: 'script'
}

// 根据游戏类型获取对应的API
import { turtleSoupService } from './turtlesoup'
import { werewolfService } from './werewolf'

export function getGameAPIByType(type: string) {
  switch(type) {
    case GAME_TYPES.TURTLE_SOUP:
      return turtleSoupService
    // 未来会添加其他游戏类型
    case GAME_TYPES.WEREWOLF:
      return werewolfService
    // case GAME_TYPES.SCRIPT:
    //   return scriptAPI
    default:
      throw new Error(`未知的游戏类型: ${type}`)
  }
}
