import { cloudApi } from '@/api'
import type { WerewolfGame, WerewolfPlayer } from '@/types/games/werewolf'

// 狼人杀游戏相关API
export const werewolfService = {
  // 获取游戏数据
  getGameData(gameId: string, role: string) {
    return cloudApi.call<{ game: WerewolfGame }>('getWerewolfGame', { gameId, role })
  },

  // 玩家行动
  playerAction(gameId: string, playerId: string, action: string, target?: string) {
    return cloudApi.call<{ success: boolean }>('werewolfAction', { 
      gameId, playerId, action, target 
    })
  },

  // ... 狼人杀特有方法
}
